package de.intevation.flys.client.client.event;

import de.intevation.flys.client.shared.model.Collection;


/**
 * This events stores references to the old collection and the new one.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class CollectionChangeEvent {

    protected Collection oldCollection;
    protected Collection newCollection;

    public CollectionChangeEvent(Collection old, Collection newArt) {
        oldCollection = old;
        newCollection = newArt;
    }

    public Collection getOldValue() {
        return oldCollection;
    }

    public Collection getNewValue() {
        return newCollection;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
